Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for GitLab
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • PrepareBackupUpload
        • Update
        • Delete
        • Start
        • Stop
        • GetBackupDownloadUrls
  • Monitoring metrics
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  1. API reference
  2. REST
  3. Instance
  4. GetBackupDownloadUrls

Managed Service for Gitlab API, REST: Instance.GetBackupDownloadUrls

Written by
Yandex Cloud
Updated at November 16, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response

Returns temporary download URLs for a completed backup and its GitLab secrets file.

HTTP requestHTTP request

GET https://gitlab.api.cloud.yandex.net/gitlab/v1/instances/{instanceId}/backups/{backupId}:getDownloadUrls

Path parametersPath parameters

Request message for InstanceService.GetBackupDownloadUrls.

Field

Description

instanceId

string

Required field. ID of the GitLab instance that owns the backup.

The maximum string length in characters is 50.

backupId

string

Required field. ID of the completed backup to download.

The maximum string length in characters is 50.

Query parametersQuery parameters

Request message for InstanceService.GetBackupDownloadUrls.

Field

Description

ttl

string (duration)

Lifetime of the download URLs, from 1 hour to 7 days. Defaults to 1 hour.

ResponseResponse

HTTP Code: 200 - OK

{
  "backupPresignedUrl": "string",
  "secretsPresignedUrl": "string"
}

Response message for InstanceService.GetBackupDownloadUrls.

Field

Description

backupPresignedUrl

string

Signed URL for downloading the GitLab backup archive.

secretsPresignedUrl

string

Signed URL for downloading the gitlab-secrets.json file.

Was the article helpful?

Previous
Stop
Next
Overview
© 2026 Direct Cursus Technology L.L.C.